Index: extensions/test_app/test_app.c
===================================================================
--- extensions/test_app/test_app.c	(revision 1195)
+++ extensions/test_app/test_app.c	(revision 1198)
@@ -180,5 +180,5 @@
 	if (ta_conf->mode & MODE_BENCH) {
 		/* Register an empty hook to disable the default handling */
-		CHECK_FCT( fd_hook_register( (1<<HOOK_LAST) - 1, 
+		CHECK_FCT( fd_hook_register( HOOK_MASK( HOOK_DATA_RECEIVED, HOOK_MESSAGE_RECEIVED, HOOK_MESSAGE_LOCAL, HOOK_MESSAGE_SENT, HOOK_MESSAGE_FAILOVER, HOOK_MESSAGE_ROUTING_FORWARD, HOOK_MESSAGE_ROUTING_LOCAL ), 
 					ta_hook_cb, NULL, NULL, &hookhdl) );
 		
Index: libfdcore/cnxctx.c
===================================================================
--- libfdcore/cnxctx.c	(revision 1192)
+++ libfdcore/cnxctx.c	(revision 1198)
@@ -293,9 +293,11 @@
 	fd_sa_sdump_numeric(sa_buf, sa);
 	
+	LOG_D("Connecting to TCP %s...", sa_buf);
+	
 	/* Create the socket and connect, which can take some time and/or fail */
 	{
 		int ret = fd_tcp_client( &sock, sa, addrlen );
 		if (ret != 0) {
-			LOG_A("TCP connection to %s failed: %s", sa_buf, strerror(ret));
+			LOG_D("TCP connection to %s failed: %s", sa_buf, strerror(ret));
 			return NULL;
 		}
@@ -348,8 +350,10 @@
 	fd_sa_sdump_numeric(sa_buf, &((struct fd_endpoint *)(list->next))->sa);
 	
+	LOG_D("Connecting to SCTP %s:%hu...", sa_buf, port);
+	
 	{
 		int ret = fd_sctp_client( &sock, no_ip6, port, list );
 		if (ret != 0) {
-			LOG_A("SCTP connection to [%s,...] failed: %s", sa_buf, strerror(ret));
+			LOG_D("SCTP connection to [%s,...] failed: %s", sa_buf, strerror(ret));
 			return NULL;
 		}
Index: libfdcore/p_cnx.c
===================================================================
--- libfdcore/p_cnx.c	(revision 1190)
+++ libfdcore/p_cnx.c	(revision 1198)
@@ -78,4 +78,5 @@
 	uint16_t	port_no; /* network order */
 	int		dotls_immediate;
+	int count = 0;
 	
 	TRACE_ENTRY("%p", peer);
@@ -184,4 +185,5 @@
 				fd_list_insert_before(&peer->p_connparams, &new->chain);
 			}
+			count++;
 		}
 	}
@@ -206,6 +208,9 @@
 			fd_list_insert_after(&peer->p_connparams, &new->chain); /* very first position */
 		}
+		count++;
 	}
 #endif /* DISABLE_SCTP */
+	
+	LOG_D("Prepared %d sets of connection parameters to peer %s", count, peer->p_hdr.info.pi_diamid);
 	
 	return 0;
Index: libfdcore/p_psm.c
===================================================================
--- libfdcore/p_psm.c	(revision 1186)
+++ libfdcore/p_psm.c	(revision 1198)
@@ -814,5 +814,4 @@
 				
 			case STATE_WAITCNXACK:
-				LOG_D("%s: Connection attempt failed", peer->p_hdr.info.pi_diamid);
 				/* Go back to CLOSE */
 				fd_psm_next_timeout(peer, 1, peer->p_hdr.info.config.pic_tctimer ?: fd_g_config->cnf_timer_tc);
Index: libfdcore/sctp.c
===================================================================
--- libfdcore/sctp.c	(revision 1197)
+++ libfdcore/sctp.c	(revision 1198)
@@ -936,16 +936,7 @@
 	
 	if (ret < 0) {
-		int lvl;
-		switch (ret = errno) {
-			case ECONNREFUSED:
-			
-				/* "Normal" errors */
-				lvl = FULL;
-				break;
-			default:
-				lvl = INFO;
-		}
+		ret = errno;
 		/* Some errors are expected, we log at different level */
-		TRACE_DEBUG( lvl, "sctp_connectx returned an error: %s", strerror(ret));
+		LOG_A("sctp_connectx returned an error: %s", strerror(ret));
 		goto out;
 	}
Index: libfdcore/tcp.c
===================================================================
--- libfdcore/tcp.c	(revision 1127)
+++ libfdcore/tcp.c	(revision 1198)
@@ -124,5 +124,4 @@
 	int ret = 0;
 	int s;
-	char * buf = NULL; size_t len = 0;
 	
 	TRACE_ENTRY("%p %p %d", sock, sa, salen);
@@ -138,7 +137,4 @@
 	pthread_cleanup_push(fd_cleanup_socket, &s);
 	
-	LOG_D( "Attempting TCP connection to %s...", fd_sa_dump(&buf, &len, NULL, sa, NI_NUMERICHOST | NI_NUMERICSERV)?:"<error>" );
-	free(buf);
-	
 	/* Try connecting to the remote address */
 	ret = connect(s, sa, salen);
@@ -147,16 +143,6 @@
 	
 	if (ret < 0) {
-		int lvl;
-		switch (ret = errno) {
-			case ECONNREFUSED:
-			
-				/* "Normal" errors */
-				lvl = FULL;
-				break;
-			default:
-				lvl = INFO;
-		}
-		/* Some errors are expected, we log at different level */
-		TRACE_DEBUG( lvl, "connect returned an error: %s", strerror(ret));
+		ret = errno;
+		LOG_A( "connect returned an error: %s", strerror(ret));
 		CHECK_SYS_DO( close(s), /* continue */ );
 		*sock = -1;
